Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create call queues, add members, configure ring strategy and timeout.
queues.*
GET /api/v1/queues
curl -X GET https://your-server:8000/api/v1/queues \ -H "Authorization: Bearer $JWT"
POST /api/v1/queues
curl -X POST https://your-server:8000/api/v1/queues \ -H "Authorization: Bearer $JWT" \ -H "Content-Type: application/json" \ -d '{ "number": "5099", "name": "Sales Queue", "ring_strategy": "ringall", "timeout": 30, "timeout_destination_type": "voicemail", "timeout_destination": "1001", "moh_class": "default" }'
number
name
ring_strategy
ringall
linear
rrmemory
leastrecent
fewestcalls
timeout
timeout_destination_type
extension
queue
ivr
voicemail
external
phone
hangup
timeout_destination
moh_class
PUT /api/v1/queues/{id}
curl -X PUT https://your-server:8000/api/v1/queues/<id> \ -H "Authorization: Bearer $JWT" \ -H "Content-Type: application/json" \ -d '{"timeout": 60}'
DELETE /api/v1/queues/{id}
curl -X DELETE https://your-server:8000/api/v1/queues/<id> \ -H "Authorization: Bearer $JWT"
GET /api/v1/queues/{id}/members
POST /api/v1/queues/{id}/members
curl -X POST https://your-server:8000/api/v1/queues/<id>/members \ -H "Authorization: Bearer $JWT" \ -H "Content-Type: application/json" \ -d '{"extension":"1001","penalty":0}'
penalty
DELETE /api/v1/queues/{id}/members/{extension}
curl -X DELETE https://your-server:8000/api/v1/queues/<id>/members/1001 \ -H "Authorization: Bearer $JWT"